Package edu.wisc.game.rest

## Enum ParaSet.Incentive

- java.lang.Object
- - java.lang.Enum<ParaSet.Incentive>
  - - edu.wisc.game.rest.ParaSet.Incentive

- All Implemented Interfaces:
    `Serializable`, `Comparable<ParaSet.Incentive>`
  Enclosing class:
    ParaSet

      public static enum ParaSet.Incentive
      extends Enum<ParaSet.Incentive>

  Various incentive schemes available to experiment designers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BONUS` |
    `DOUBLING` |
    `LIKELIHOOD` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `mastery()` | Is this one of those schemes (DOUBLING or LIKELIHOOD) where an early win is triggered once the player passes some mastery criterion?
    `static ParaSet.Incentive` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ParaSet.Incentive[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BONUS

          public static final ParaSet.Incentive BONUS

    - #### DOUBLING

          public static final ParaSet.Incentive DOUBLING

    - #### LIKELIHOOD

          public static final ParaSet.Incentive LIKELIHOOD

  - ### Method Detail

    - #### values

          public static ParaSet.Incentive[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParaSet.Incentive c : ParaSet.Incentive.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParaSet.Incentive valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### mastery

          public boolean mastery()

      Is this one of those schemes (DOUBLING or LIKELIHOOD) where an early win is triggered once the player passes some mastery criterion?